### Virtual Method

# Phosh DBusMountOperationHandler handle_ask_question

#### Declaration [src]

    gboolean
    handle_ask_question (
      PhoshDBusMountOperationHandler* object,
      GDBusMethodInvocation* invocation,
      const gchar* arg_object_id,
      const gchar* arg_message,
      const gchar* arg_icon_name,
      const gchar* const* arg_choices
    )

#### Description [src]

Handler for the `PhoshDBusMountOperationHandler::handle-ask-question` signal.

#### Parameters

`invocation`

  Type: `GDBusMethodInvocation`

  No description available.

  The data is owned by the caller of the method.

`arg_object_id`

  Type: `const gchar*`

  No description available.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`arg_message`

  Type: `const gchar*`

  No description available.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`arg_icon_name`

  Type: `const gchar*`

  No description available.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`arg_choices`

  Type: `const gchar* const*`

  No description available.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gboolean`

No description available.